Measuring Angle?
We recently switched from Autocad to BricsCad. Overall we are very happy with BricsCad but there are a few things we still need to figure out. One thing - Measuring Angle.
There is "measuring distances", "measuring lengths" and "measuring areas" but unfortunatly I can't find "measuring angle".
Any hint/ help would be appreciated.
Regards,
Juergen
Comments
-
This custom command by Stig Madsen prompts for a vertex and then two other points and reports the counterclockwise angle from the second to the third point:
(defun c:ANGLE (/ fp np lp ang) (setq fp (getpoint "Vertex: ") np (getpoint fp "First leg: ") lp (getpoint fp "Second leg: ") ang (- (angle fp lp)(angle fp np)) ) (princ (strcat "\nAngle = " (angtos ang))) (princ) )
0 -
I was thinking of a Bricscad-integrated command - but anyway, I tried Stig Madsen's code and it does do what I was looking for.
Thanks a lot Anthony!
0 -
I just use the angular dimension command and esc. before setting the dimension.
https://help.bricsys.com/hc/en-us/articles/360006639953-Creating-angular-dimensions
0 -
Thank you David. I also thought about using dimension command at first, but my collegues marked that they can't see the already meassured angles if they need it again.
0